# kyotocabinet::ScopedSpinLock Class Reference

Scoped spin lock device. More...

`#include <kcthread.h>`

List of all members.

## Public Member Functions

| ScopedSpinLock (SpinLock *spinlock)
| Constructor.
| ~ScopedSpinLock ()
| Destructor.

## Detailed Description

Scoped spin lock device.

## Constructor & Destructor Documentation

kyotocabinet::ScopedSpinLock::ScopedSpinLock | ( | SpinLock * | spinlock | ) | `[explicit]`

Constructor.

Parameters:

  | spinlock | a spin lock to lock the block.

kyotocabinet::ScopedSpinLock::~ScopedSpinLock | ( |  | ) |

Destructor.